Aws.DynamoDb.Core

# Configuration and Regions

data Region

ddbLocal

ddbUsEast1

ddbUsWest1

ddbUsWest2

ddbEuWest1

ddbEuCentral1

ddbApNe1

ddbApSe1

ddbApSe2

ddbSaEast1

data DdbConfiguration qt

# DynamoDB values

data DValue

# Converting to/from `DValue`

class DynVal a

toValue

fromValue

data Bin a

data OldBool

# Defining new `DynVal` instances

class DynData a

data DynBinary

data DynNumber

data DynString

data DynBool

# Working with key/value pairs

data Attribute

parseAttributeJson

attributeJson

attributesJson

attrTuple

attr

attrAs

text

int

double

data PrimaryKey

hk

hrk

# Working with objects (attribute collections)

type Item

item

attributes

class ToDynItem a

class FromDynItem a

fromItem

data Parser a

getAttr

getAttr'

parseAttr

# Common types used by operations

data Conditions

conditionsJson

expectsJson

data Condition

conditionJson

data CondOp

data CondMerge

data ConsumedCapacity

data ReturnConsumption

data ItemCollectionMetrics

data ReturnItemCollectionMetrics

data UpdateReturn

data QuerySelect

querySelectJson

# Size estimation

class DynSize a

nullAttr

# Responses & Errors

data DdbResponse

data DdbErrCode

shouldRetry

data DdbError

# Internal Helpers

ddbSignQuery

data AmazonError

ddbResponseConsumer

ddbHttp

ddbHttps